package environment.event;

import java.rmi.Remote;
import java.rmi.RemoteException;

/** 
 * Listener interface to register for TimerEvents. The
 * class that implements the TimerListener interface must
 * provide an implementation for the timerExpired() method.
 *
 * 
 * @author Andreas Metzger
 * @version 1.0
 */

public interface TimerListener extends Remote {
    
	/** This method is invoked by the source object of the TimerEvent
	 * if such an event occurrs.
	 * @param e The event that lead to invoking this method.
	 */
	public void timerExpired(TimerEvent e);
}
